Supported platforms

Below the supported operating systems and tools that MOSEK version 8.0.0.57 supports.

Operating system

MOSEK supports the following platforms and OS:

 

<table style="margin:0px auto"> <tr> <th> Platform</th><th>Supported OS</th> <tr> <td> Windows 32 bit x86</td><td>Windows 7, Server 2008 or newer</td> <tr> <td> Windows 64 bit x86 </td><td>Windows 7, Server 2008 or newer</td> <tr> <td>Linux 64 bit x86</td><td>Linux RedHat Enterprise 6 or compatible Linux</td> <tr> <td> MAC OS 64 bit x86</td><td>10.9 or newer</td> </table>

 
 

Although on RedHat Linux is mentioned explicitly, then MOSEK can be emloyed on most other recent Linux distributions.

Optimizer API availability

<table style="margin:0px auto" align=center"> <tr> <th>Platfom</th><th>C/C++</th><th>Java</th><th>.NET</th><th>Python 2 </th><th>Python 3</th> <tr> <td>win32x86</td><td align="center">Yes</td><td align="center">1.7+</td><td align="center">4.5+</td><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>win64x86</td><td align="center">Yes</td><td align="center">1.7+</td><td align="center">4.5+</td><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>linux64x86</td><td align="center">Yes</td><td align="center">1.7+</td><td /><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>osx64x86</td><td align="center">Yes</td><td align="center">1.7+</td><td /><td align="center">2.7</td><td align="center">3.4+</td> </table>

Fusion API availability

<table style="margin:0px auto"> <tr> <th>Platfom</th><th>C/C++</th><th>Java</th><th>.NET</th><th>Python 2 </th><th>Python 3</th> <tr> <td>win32x86</td><td align="center"></td><td align="center">1.7+</td><td align="center">4.5+</td><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>win64x86</td><td align="center"></td><td align="center">1.7+</td><td align="center">4.5+</td><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>linux64x86</td><td align="center">Yes</td><td align="center">1.7+</td><td align="center">4.5+</td><td align="center">2.7</td><td align="center">3.4+</td> <tr> <td>osx64x86</td><td align="center">Yes</td><td align="center">1.7+</td><td /><td align="center">2.7</td><td align="center">3.4+</td> </table>

Supported MATLAB versions

<table style="margin:0px auto"> <tr> <th>platform type</th><th>R2014a+</th> <tr> <td>win32x86</td><td>Yes</td> <tr> <td>win64x86</td><td>Yes</td> <tr> <td>linux64x86</td><td>Yes</td> <tr> <td>osx64x86</td><td>Yes</td> </table>

AMPL availability

<table style="margin:0px auto"> <tr> <th>Platform type</th><th>AMPL shell</th><th>MOSEK to AMPL link</th> <tr> <td>win32x86</td><td>Yes</td><td>Yes</td> <tr> <td>win64x86</td><td>Yes</td><td>Yes</td> <tr> <td>linux64x86</td><td>Yes</td><td>Yes</td> <tr> <td>osx64x86</td><td>Yes</td><td>Yes</td> </table>